////////////////////////////////////////////////////////////////////////////////
//   Brzeczyk bez generatora
////////////////////////////////////////////////////////////////////////////////
#include <12F675.h>
#use delay(clock=4000000)
#fuses NOWDT,XT, PUT, NOPROTECT, BROWNOUT, NOCPD, NOMCLR

#bit buz =0x05.2                  //port PA.2

int ton;


//ustawia czestotliwosc dzwieku. czas trwania 500ms
set_ton(int val)
{ton=val;
 enable_interrupts(INT_TIMER0);
 delay_ms(300);
 disable_interrupts(INT_TIMER0);
 buz=0;
}



main()
{
int i=0;
   setup_adc_ports(NO_ANALOGS);
   setup_comparator(NC_NC_NC_NC);
   output_low(pin_a2);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);
   enable_interrupts(GLOBAL);                      //globalne wlaczone

   while(1)
      {

      if(!input(pin_A3))
         {i+=32;
          set_ton(i);
         }

      }
}




//przerwanie od tmr0
#int_timer0
TIMER0_isr()
{
set_timer0(ton);
 buz=~buz;

}

