////////////////////////////////////////////////////////////////////////////////
//   Brzeczyk bez generatora
////////////////////////////////////////////////////////////////////////////////
#include <16F877.h>
#use delay(clock=4000000)
#fuses NOWDT,XT, PUT, NOPROTECT,  BROWNOUT, NOLVP, NOCPD, NOWRT

#bit buz =0x05.2                  //port PA.2

int ton;


//ustawia czestotliwosc dzwieku. czas trwania 500ms
set_ton(int val)
{ton=val;
 enable_interrupts(INT_TIMER0);
 delay_ms(500);
 disable_interrupts(INT_TIMER0);
 buz=0;
}



main()
{

while(1)
   {
   setup_adc_ports(NO_ANALOGS);
   output_low(pin_a2);
   port_b_pullups(TRUE);                           //podciaganie RB   
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);        //preskaler TMR0/1
   enable_interrupts(GLOBAL);                      //globalne wlaczone

   while(1)
      {

      if(!input(pin_b0)) set_ton(50);
      if(!input(pin_b1)) set_ton(100);
      if(!input(pin_b2)) set_ton(150);
      if(!input(pin_b3)) set_ton(200);

      }

   }

}

//przerwanie od tmr0
#int_timer0
TIMER0_isr()
{
set_timer0(ton);
 buz=~buz;

}

