
//*************************************************************************//
#define TOUCH_PIN  PIN_A4				//definicja wyprowadzenia 1Wire
#bit    TOUCH_PIN_BIT = 5.4

//odczyt jednego bajtu, odczytany bajt jest zwracany jako parametr
byte touch_read_byte()
{byte i,data;
 for(i=1;i<=8;++i)
    {
     output_low(TOUCH_PIN);
     delay_us(14);
     output_float(TOUCH_PIN);
     delay_us(5);
     shift_right(&data,1,input(TOUCH_PIN));
     delay_us(100);
    }
   return(data);
}
//zapis jednego bajtu, podany jako parametr
byte touch_write_byte(byte data)
{byte i;
 for(i=1;i<=8;++i)
 	{
     output_low(TOUCH_PIN);
     delay_us(10);
     if(shift_right(&data,1,0))
     	{output_high(TOUCH_PIN);}
     else {
       output_low(TOUCH_PIN);}
     delay_us(50);
     output_high(TOUCH_PIN);
     delay_us(50);
    }
   return(TRUE);
}

//generuje reset magistrali i zwraca 1 jesli uklad sie zglosi
byte touch_present()
{boolean present;
 output_low(TOUCH_PIN);
 delay_us(500);
 output_float(TOUCH_PIN);
 if(!input(TOUCH_PIN))
   	return(FALSE);
 delay_us(65);
 present=!input(TOUCH_PIN);
 delay_us(240);
 if(present)
      return(TRUE);
 else
      return(FALSE);
}
