//        LIST
//; P16F877.INC  Standard Header File, Version 1.00    Microchip Technology, Inc.
#NOLIST


//;----- Register Files------------------------------------------------------

#byte   INDF                         =     0x0000
#byte	TMR0                         =     0x0001
#byte	PCL                          =     0x0002
#byte	STATUS                       =     0x0003
#byte	FSR                          =     0x0004
#byte	PORTA                        =     0x0005
#byte	PORTB                        =     0x0006
#byte	PORTC                        =     0x0007
#byte	PORTD                        =     0x0008
#byte	PORTE                        =     0x0009
#byte	PCLATH                       =     0x000A
#byte	INTCON                       =     0x000B
#byte	PIR1                         =     0x000C
#byte	PIR2                         =     0x000D
#byte	TMR1L                        =     0x000E
#byte	TMR1H                        =     0x000F
#byte	T1CON                        =     0x0010
#byte	TMR2                         =     0x0011
#byte	T2CON                        =     0x0012
#byte	SSPBUF                       =     0x0013
#byte	SSPCON                       =     0x0014
#byte	CCPR1L                       =     0x0015
#byte	CCPR1H                       =     0x0016
#byte	CCP1CON                      =     0x0017
#byte	RCSTA                        =     0x0018
#byte	TXREG                        =     0x0019
#byte	RCREG                        =     0x001A
#byte	CCPR2L                       =     0x001B
#byte	CCPR2H                       =     0x001C
#byte	CCP2CON                      =     0x001D
#byte	ADRESH                       =     0x001E
#byte	ADCON0                       =     0x001F

#byte	OPTION_REG                   =     0x0081
#byte	TRISA                        =     0x0085
#byte	TRISB                        =     0x0086
#byte	TRISC                        =     0x0087
#byte	TRISD                        =     0x0088
#byte	TRISE                        =     0x0089
#byte	PIE1                         =     0x008C
#byte	PIE2                         =     0x008D
#byte	PCON                         =     0x008E
#byte	SSPCON2                      =     0x0091
#byte	PR2                          =     0x0092
#byte	SSPADD                       =     0x0093
#byte	SSPSTAT                      =     0x0094
#byte	TXSTA                        =     0x0098
#byte	SPBRG                        =     0x0099
#byte	ADRESL                       =     0x009E
#byte	ADCON1                       =     0x009F

#byte	EEDATA                       =     0x010C
#byte	EEADR                        =     0x010D
#byte	EEDATH                       =     0x010E
#byte	EEADRH                       =     0x010F
#byte	EECON1                       =     0x018C
#byte	EECON2                       =     0x018D


/////////////////////////////////////////////////////////
#bit  porta_0                      =     0x5.0
#bit  porta_1                      =     0x5.1
#bit  porta_2                      =     0x5.2
#bit  porta_3                      =     0x5.3
#bit  porta_4                      =     0x5.4
#bit  porta_5                      =     0x5.5
#bit  porta_6                      =     0x5.6
#bit  porta_7                      =     0x5.7
#bit  trisa_0                      =     0x85.0
#bit  trisa_1                      =     0x85.1
#bit  trisa_2                      =     0x85.2
#bit  trisa_3                      =     0x85.3
#bit  trisa_4                      =     0x85.4
#bit  trisa_5                      =     0x85.5
#bit  trisa_6                      =     0x85.6
#bit  trisa_7                      =     0x85.7

#bit  portb_0                      =     0x6.0
#bit  portb_1                      =     0x6.1
#bit  portb_2                      =     0x6.2
#bit  portb_3                      =     0x6.3
#bit  portb_4                      =     0x6.4
#bit  portb_5                      =     0x6.5
#bit  portb_6                      =     0x6.6
#bit  portb_7                      =     0x6.7
#bit  trisb_0                      =     0x86.0
#bit  trisb_1                      =     0x86.1
#bit  trisb_2                      =     0x86.2
#bit  trisb_3                      =     0x86.3
#bit  trisb_4                      =     0x86.4
#bit  trisb_5                      =     0x86.5
#bit  trisb_6                      =     0x86.6
#bit  trisb_7                      =     0x86.7

#bit  portc_0                      =     0x7.0
#bit  portc_1                      =     0x7.1
#bit  portc_2                      =     0x7.2
#bit  portc_3                      =     0x7.3
#bit  portc_4                      =     0x7.4
#bit  portc_5                      =     0x7.5
#bit  portc_6                      =     0x7.6
#bit  portc_7                      =     0x7.7
#bit  trisc_0                      =     0x87.0
#bit  trisc_1                      =     0x87.1
#bit  trisc_2                      =     0x87.2
#bit  trisc_3                      =     0x87.3
#bit  trisc_4                      =     0x87.4
#bit  trisc_5                      =     0x87.5
#bit  trisc_6                      =     0x87.6
#bit  trisc_7                      =     0x87.7

#bit  portd_0                      =     0x8.0
#bit  portd_1                      =     0x8.1
#bit  portd_2                      =     0x8.2
#bit  portd_3                      =     0x8.3
#bit  portd_4                      =     0x8.4
#bit  portd_5                      =     0x8.5
#bit  portd_6                      =     0x8.6
#bit  portd_7                      =     0x8.7
#bit  trisd_0                      =     0x88.0
#bit  trisd_1                      =     0x88.1
#bit  trisd_2                      =     0x88.2
#bit  trisd_3                      =     0x88.3
#bit  trisd_4                      =     0x88.4
#bit  trisd_5                      =     0x88.5
#bit  trisd_6                      =     0x88.6
#bit  trisd_7                      =     0x88.7


#bit  porte_0                      =     0x9.0
#bit  porte_1                      =     0x9.1
#bit  porte_2                      =     0x9.2
#bit  trise_0                      =     0x89.0
#bit  trise_1                      =     0x89.1
#bit  trise_2                      =     0x89.2


//;----- STATUS Bits --------------------------------------------------------

#define		IRP                          7
#define		RP1                          6
#define		RP0                          5
#define		NOT_TO                       4
#define		NOT_PD                       3
#define		Z                            2
#define		DC                           1
#define		C                            0

//;----- INTCON Bits --------------------------------------------------------

#define		GIE                          7
#define		PEIE                         6
#define		T0IE                         5
#define		INTE                         4
#define		RBIE                         3
#define		T0IF                         2
#define		INTF                         1
#define		RBIF                         0

//;----- PIR1 Bits ----------------------------------------------------------

#define		PSPIF                        7
#define		ADIF                         6
#define		RCIF                         5
#define		TXIF                         4
#define		SSPIF                        3
#define		CCP1IF                       2
#define		TMR2IF                       1
#define		TMR1IF                       0

//;----- PIR2 Bits ----------------------------------------------------------

#define		EEIF                         4
#define		BCLIF                        3
#define		CCP2IF                       0

//;----- T1CON Bits ---------------------------------------------------------

#define		T1CKPS1                      5
#define		T1CKPS0                      4
#define		T1OSCEN                      3
#define		NOT_T1SYNC                   2
#define		T1INSYNC                     2  // ; Backward compatibility only
#define		T1SYNC                       2
#define		TMR1CS                       1
#define		TMR1ON                       0

//;----- T2CON Bits ---------------------------------------------------------

#define		TOUTPS3                      6
#define		TOUTPS2                      5
#define		TOUTPS1                      4
#define		TOUTPS0                      3
#define		TMR2ON                       2
#define		T2CKPS1                      1
#define		T2CKPS0                      0

//;----- SSPCON Bits --------------------------------------------------------

#define		WCOL                         7
#define		SSPOV                        6
#define		SSPEN                        5
#define		CKP                          4
#define		SSPM3                        3
#define		SSPM2                        2
#define		SSPM1                        1
#define		SSPM0                        0

//;----- CCP1CON Bits -------------------------------------------------------

#define		CCP1X                        5
#define		CCP1Y                        4
#define		CCP1M3                       3
#define		CCP1M2                       2
#define		CCP1M1                       1
#define		CCP1M0                       0

//;----- RCSTA Bits ---------------------------------------------------------

#define		SPEN                         7
#define		RX9                          6
#define		RC9                          6    //; Backward compatibility only
#define		NOT_RC8                      6    ///; Backward compatibility only
#define		RC8_9                        6    //; Backward compatibility only
#define		SREN                         5
#define		CREN                         4
#define		ADDEN                        3
#define		FERR                         2
#define		OERR                         1
#define		RX9D                         0
#define		RCD8                         0    //; Backward compatibility only

//;----- CCP2CON Bits -------------------------------------------------------

#define		CCP2X                        5
#define		CCP2Y                        4
#define		CCP2M3                       3
#define		CCP2M2                       2
#define		CCP2M1                       1
#define		CCP2M0                       0

//;----- ADCON0 Bits --------------------------------------------------------

#define		ADCS1                        7
#define		ADCS0                        6
#define		CHS2                         5
#define		CHS1                         4
#define		CHS0                         3
#define		GO                           2
#define		NOT_DONE                     2
#define		GO_DONE                      2
#define		ADON                         0

//;----- OPTION_REG Bits -----------------------------------------------------

#define		NOT_RBPU                     7
#define		INTEDG                       6
#define		T0CS                         5
#define		T0SE                         4
#define		PSA                          3
#define		PS2                          2
#define		PS1                          1
#define		PS0                          0

//;----- TRISE Bits ---------------------------------------------------------

#define		IBF                          7
#define		OBF                          6
#define		IBOV                         5
#define		PSPMODE                      4
#define		TRISE2                       2
#define		TRISE1                       1
#define		TRISE0                       0

//;----- PIE1 Bits ----------------------------------------------------------

#define		PSPIE                        7
#define		ADIE                         6
#define		RCIE                         5
#define		TXIE                         4
#define		SSPIE                        3
#define		CCP1IE                       2
#define		TMR2IE                       1
#define		TMR1IE                       0

//;----- PIE2 Bits ----------------------------------------------------------

#define		EEIE                         4
#define		BCLIE                        3
#define		CCP2IE                       0

//;----- PCON Bits ----------------------------------------------------------

#define		NOT_POR                      1
#define		NOT_BO                       0
#define		NOT_BOR                      0

//;----- SSPCON2 Bits --------------------------------------------------------

#define		GCEN                         7
#define		ACKSTAT                      6
#define		ACKDT                        5
#define		ACKEN                        4
#define		RCEN                         3
#define		PEN                          2
#define		RSEN                         1
#define		SEN                          0

//;----- SSPSTAT Bits -------------------------------------------------------

#define		SMP                          7
#define		CKE                          6
#define		D                            5
#define		I2C_DATA                     5
#define		NOT_A                        5
#define		NOT_ADDRESS                  5
#define		D_A                          5
#define		DATA_ADDRESS                 5
#define		P                            4
//#define		I2C_STOP                     4
#define		S                            3
//#define		I2C_START                    3
#define		R                            2
//#define		I2C_READ                     2
#define		NOT_W                        2
#define		NOT_WRITE                    2
#define		R_W                          2
#define		READ_WRITE                   2
#define		UA                           1
#define		BF                           0

//;----- TXSTA Bits ---------------------------------------------------------

#define		CSRC                         7
#define		TX9                          6
#define		NOT_TX8                      6   //; Backward compatibility only
#define		TX8_9                        6   //; Backward compatibility only
#define		TXEN                         5
#define		SYNC                         4
#define		BRGH                         2
#define		TRMT                         1
#define		TX9D                         0
#define		TXD8                         0   //; Backward compatibility only

//;----- ADCON1 Bits --------------------------------------------------------

#define		ADFM                         7
#define		PCFG3                        3
#define		PCFG2                        2
#define		PCFG1                        1
#define		PCFG0                        0

//;----- EECON1 Bits --------------------------------------------------------

#define		EEPGD                        7
#define		WRERR                        3
#define		WREN                         2
#define		WR                           1
#define		RD                           0
/*
;==========================================================================
;
;       RAM Definition
;
;==========================================================================

        __MAXRAM H'1FF'
        __BADRAM H'8F'-H'90', H'95'-H'97', H'9A'-H'9D'
        __BADRAM H'105', H'107'-H'109'
        __BADRAM H'185', H'187'-H'189', H'18E'-H'18F'

;==========================================================================
;
;       Configuration Bits
;
;==========================================================================

_CP_ALL                      EQU     H'0FCF'
_CP_HALF                     EQU     H'1FDF'
_CP_UPPER_256                EQU     H'2FEF'
_CP_OFF                      EQU     H'3FFF'
_DEBUG_ON                    EQU     H'37FF'
_DEBUG_OFF                   EQU     H'3FFF'
_WRT_ENABLE_ON               EQU     H'3FFF'
_WRT_ENABLE_OFF              EQU     H'3DFF'
_CPD_ON                      EQU     H'3EFF'
_CPD_OFF                     EQU     H'3FFF'
_LVP_ON                      EQU     H'3FFF'
_LVP_OFF                     EQU     H'3F7F'
_BODEN_ON                    EQU     H'3FFF'
_BODEN_OFF                   EQU     H'3FBF'
_PWRTE_OFF                   EQU     H'3FFF'
_PWRTE_ON                    EQU     H'3FF7'
_WDT_ON                      EQU     H'3FFF'
_WDT_OFF                     EQU     H'3FFB'
_LP_OSC                      EQU     H'3FFC'
_XT_OSC                      EQU     H'3FFD'
_HS_OSC                      EQU     H'3FFE'
_RC_OSC                      EQU     H'3FFF'

 */
 #LIST
